# Get a project

get ` https://app.mk.io/api/v1/projects/:project_name`

Returns a specified project.

RBAC Capability Required: `core.project.get`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

project_name string Required

## Response

200 OK

kind string Optional

The kind of record.

metadata object [ProjectMetadataSchema](https://docs.mediakind.com/api-reference/management-api/schemas/projectmetadataschema) Optional

Metadata.

Show 10 properties Hide 10 properties

cloud object [ProjectMetadataCloudSchema](https://docs.mediakind.com/api-reference/management-api/schemas/projectmetadatacloudschema) Required

Cloud in which the project is hosted.

Show 3 properties Hide 3 properties

- displayName string Required
- The display name of the cloud.
- id string Optional format: uuid
- The unique identifier of the cloud.
- name string Required
- The unique name of the cloud.
- created string Optional format: date-time
- The time when the resource was created
- createdBy string Optional format: uuid
- ID of the user who created the resource
- createdByEmail string Optional
- Email of the user who created the resource
- createdById string Required format: uuid
- ID of the user who created the project.
- createdByName string Required
- Name of the user who created the project.
- displayName string Optional
- The display name of the resource
- id string Required format: uuid
- The ID of the resource
- name string Optional
- The name of the resource
- updated string Optional format: date-time
- The time when the resource was last updated

spec object [ProjectSpecSchema](https://docs.mediakind.com/api-reference/management-api/schemas/projectspecschema) Required

Specification.

Show 7 properties Hide 7 properties

assignedPaymentMethodId string or null Required format: uuid

ID of the payment method assigned to the project.

displayName string Required

Display name of the project.

isActive boolean Required

Is project active.

locationDisplayName string Optional

Display name of the location the project is in.

locationId string Required format: uuid

ID of the location the project is in.

locationName string Required

Name of the location the project is in.

name string Required

Name of the project.

## Errors

400 Bad Request

error object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required

Pertinent information about the error

Show 3 properties Hide 3 properties

- code string Required
- The error code.
- detail string Required
- The error message.
- extraDetail map from strings to any Optional
- Extra information regarding this error.

Show value schema Hide value schema

[any key] any

ref string Required

A reference to the request that caused the error.

status integer Required

The HTTP status code

401 Unauthorized

error object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required

Pertinent information about the error

Show 3 properties Hide 3 properties

Show value schema Hide value schema

[any key] any

ref string Required

A reference to the request that caused the error.

status integer Required

The HTTP status code

403 Forbidden

error object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required

Pertinent information about the error

Show 3 properties Hide 3 properties

Show value schema Hide value schema

[any key] any

ref string Required

A reference to the request that caused the error.

status integer Required

The HTTP status code

404 Not Found

error object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required

Pertinent information about the error

Show 3 properties Hide 3 properties

Show value schema Hide value schema

[any key] any

ref string Required

A reference to the request that caused the error.

status integer Required

The HTTP status code

429 Too Many Requests

error object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required

Pertinent information about the error

Show 3 properties Hide 3 properties

Show value schema Hide value schema

[any key] any

ref string Required

A reference to the request that caused the error.

status integer Required

The HTTP status code

500 Internal Server Error

error object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required

Pertinent information about the error

Show 3 properties Hide 3 properties

Show value schema Hide value schema

[any key] any

ref string Required

A reference to the request that caused the error.

status integer Required

The HTTP status code
